import { AppViewManager, ElementRef, OnInit, OnDestroy } from 'angular2/core';
import { Http } from 'angular2/http';
import { Observable } from 'rxjs/Observable';
export interface Source {
    src: string;
    ext: string;
    text: string;
}
export interface Sourcable {
    sourceChanged: Observable<any>;
    sourceValidated: (string) => void;
    sourceLoading: () => void;
    sourceMessage: (string) => void;
    sourceReceived: (Source) => void;
}
export declare class SrcDirective implements OnInit, OnDestroy {
    private _element;
    private _viewManager;
    private _http;
    host: Sourcable;
    constructor(_element: ElementRef, _viewManager: AppViewManager, _http: Http);
    ngOnInit(): void;
    debounceTime: any;
    _debounceTime: number;
    sourceChanged: any;
    _handleSourceChanges(): void;
    ngOnDestroy(): void;
    _emptySources(source: any): boolean;
    _addExtensionMatches(source: any): {
        source: any;
        extMatches: any;
    };
    _nonFiles(req: any): boolean;
    _fetchSrc(req: any): Observable<{
        src: any;
        ext: any;
        text: string;
    }>;
    _handleResponseError(error: any): void;
}
